<?php

    include_once( PLOG_CLASS_PATH."class/action/blogaction.class.php" );
    include_once( PLOG_CLASS_PATH."class/view/plugintemplatedview.class.php" );
    
    class ShowcoCommentAction extends BlogAction
    {
		var $_cocommentTemplate;
		
        function ShowcoCommentAction( $actionInfo, $request )
        {
            $this->BlogAction( $actionInfo, $request );
        }
        
        function perform()
        {
            $this->_cocommentTemplate = $this->_request->getValue( "show" );

            $this->_view = new PluginTemplatedView( $this->_blogInfo, "cocomment", $this->_cocommentTemplate );
            $this->setCommonData();
            
            return true;
        }
    }
?>